<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{blocks/layout}">
<head>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>
    <title>Add News</title>
</head>

<div layout:fragment="content">
    <div class="container" style="width: 100vh;">
        <div class="col-md-10 mt-5">
            <h1 class="about-text">Добавьте статью на сайт</h1>
            <form method="post" enctype="multipart/form-data"
                  th:object="${article}" th:action="@{/news/update/{id}(id=${article.id})}">
                <div class="form-group">
                    <label for="title">Заголовок:</label>
                    <input required type="text" id="title" placeholder="Заголовок..." autocomplete="off" class="form-control"
                           th:field="*{title}"/>
                    <span th:if="${#fields.hasErrors('title')}" th:errors="*{title}"></span>
                </div>
                <div class="form-group">
                    <label for="img-file">Баннер:</label>
                    <input required type="file" name="file" class="form-control-file" id="img-file">
                </div>
                <div class="form-group">
                    <label for="content">Содержание:</label>
                    <textarea required type="text" rows="4" id="content" placeholder="Content" class="form-control"
                              th:field="*{content}" autocomplete="off"></textarea>
                    <span th:if="${#fields.hasErrors('content')}" th:errors="*{content}"></span>
                </div>
                <button class="btn btn-primary mb-2" type="submit">Отправить</button>
            </form>
        </div>
    </div>
    <script>
        $('#content').summernote({
            height: 200
        });
    </script>
</div>